Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class URLEntry

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.URLEntryModel
                  org.eclipse.update.core.URLEntry

All Implemented Interfaces:
  IAdaptable, IURLEntry

public class URLEntry
extends URLEntryModel
implements IURLEntry

Convenience implementation of an annotated URL.

This class may be instantiated or subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IURLEntry`, `URLEntryModel`

Field Summary

Fields inherited from interface org.eclipse.update.core.IURLEntry
`UPDATE_SITE, WEB_SITE`

Constructor Summary
`URLEntry()` Default constructor for annotated URL

Method Summary
`String` | `toString()` Returns a string representation of an annotated URL.

Methods inherited from class org.eclipse.update.core.model.URLEntryModel
`getAnnotation, getAnnotationNonLocalized, getType, getURL, getURLString, resolve, setAnnotation, setType, setURLString`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IURLEntry
`getAnnotation, getType, getURL`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### URLEntry

    public URLEntry()

  Default constructor for annotated URL

Since:
  2.0

Method Detail

### toString

    public String toString()

  Returns a string representation of an annotated URL.

  Returns:
    annotated url as String
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.